Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in apache2
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in apache2
ID: openSUSE-SU-2019:0305-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Fr, 8. März 2019, 15:14
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17189
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17199
Applikationen: Apache

Originalnachricht

   openSUSE Security Update: Security update for apache2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0305-1
Rating: moderate
References: #1121086 #1122838 #1122839
Cross-References: CVE-2018-17189 CVE-2018-17199
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for apache2 fixes the following issues:

Security issues fixed:

- CVE-2018-17189: Fixed a denial of service in mod_http2, via slow and
unneeded request bodies (bsc#1122838)
- CVE-2018-17199: Fixed that mod_session_cookie did not respect expiry
time (bsc#1122839)

Non-security issue fixed:

- sysconfig.d is not created anymore if it already exists (bsc#1121086)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-305=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

apache2-2.4.23-37.1
apache2-debuginfo-2.4.23-37.1
apache2-debugsource-2.4.23-37.1
apache2-devel-2.4.23-37.1
apache2-event-2.4.23-37.1
apache2-event-debuginfo-2.4.23-37.1
apache2-example-pages-2.4.23-37.1
apache2-prefork-2.4.23-37.1
apache2-prefork-debuginfo-2.4.23-37.1
apache2-utils-2.4.23-37.1
apache2-utils-debuginfo-2.4.23-37.1
apache2-worker-2.4.23-37.1
apache2-worker-debuginfo-2.4.23-37.1

- openSUSE Leap 42.3 (noarch):

apache2-doc-2.4.23-37.1


References:

https://www.suse.com/security/cve/CVE-2018-17189.html
https://www.suse.com/security/cve/CVE-2018-17199.html
https://bugzilla.suse.com/1121086
https://bugzilla.suse.com/1122838
https://bugzilla.suse.com/1122839

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung